Subject: Re: [Bitcoin-development] Proposal: remove "getwork" RPC from bitcoind

From: "Luke-Jr" <[email-masked]>
Date: Mon, 19 Aug 2013 20:13:00 +0000

On Monday, August 19, 2013 8:09:41 PM Frank F wrote:
> I strongly object to removing the only mechanism that allows anyone to say
> that bitcoin is p2p, in the truest sense of the word. Moves like this that
> favor only the pool operators and private mining interests are signs that
> bitcoin is headed towards a monopoly/cartel model, and that would be a
> tragic outcome for something that holds a great promise. Nobody knows what
> mining will look like in the future, and denying the individual novice the
> ability to mine at a small scale, even if we may think it is inefficient
> now, is not a good path to start down.
> 
> If there are technical problems with getwork, maybe they should be
> addressed and fixed instead of outright abandoned.

You missed getblocktemplate. It does everything getwork did and more.

Individual solo miners aren't being locked out at all. This is just removal of 
a protocol that has been obsolete for well over a year now.

Luke